/**
 * @file dmxgui_tools.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ---------------------------------------------------------
 * (c) Florian Schmitt / Jan-2013 / All rights reserved. 
 * ---------------------------------------------------------
 * Provides gui tools
**/
#ifndef DMXGUI_TOOLS_H
#define DMXGUI_TOOLS_H
#include <ncurses.h>

/* Global ncurses settings */
void dmxgui_ncurses_settings();
/* Initiate and set colors */
void dmxgui_color_init();
/* print key bindings */
void dmxgui_print_key_bindings(WINDOW*);
/* get a steps sign */
char dmxgui_get_step_sign(int);
/* prints active tabs title bar */
void dmxgui_print_tab_titles(WINDOW*, int);
/* clears a line */
void dmxgui_clear_line(WINDOW*, int);

#endif /* DMXGUI_TOOLS_H */
