/**
 * @file listing.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ---------------------------------------------------------
 * (c) Florian Schmitt / Jan-2013 / All rights reserved. 
 * ---------------------------------------------------------
 * Provides gui content
**/
#ifndef LISTING_H
#define LISTING_H
#include <ncurses.h>

/* A key event in active play mode */
void listing_keyevent(int);
/* Print active play window */
void listing_printer(WINDOW*);
/* Get global selected program */
int listing_getSelectedProgram();
/* Set global selected program */
void listing_setSelectedProgram(int);

#endif /* LISTING_H */
